Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-08-2016 16:08:38

Bartolomez
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : i3wm
Inscription : 09-08-2016

[Résolu]Beaucoup de paquets enlevés à l'installation d'un autre paquet

Bonjour,

Je viens de commencer à utiliser personnellement Debian principalement pour bénéficier de son gestionnaire de paquet et je coince déjà sur un soucis que j'ai du mal à comprendre et à resoudre.
J'ai essayé d'installer steam par plusieurs moyens :
Tout d'abord en installant le paquet steam (https://packages.debian.org/steam), mais celui-ci me propose de supprimer beaucoup de paquets qui n'ont pas grand chose à voir avec steam :

$ sudo apt-get install steam/testing



Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Version choisie « 1.0.0.52-3 » (Debian:testing [i386]) pour « steam:i386 »
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  empathy-common evolution-common fonts-sil-gentium fonts-sil-gentium-basic g++-4.9 gir1.2-grilo-0.3 gir1.2-gweather-3.0 gir1.2-javascriptcoregtk-4.0
  gir1.2-mediaart-2.0 gir1.2-rb-3.0 gir1.2-totem-1.0 gir1.2-webkit2-4.0 git-man gnome-session-common hplip-data hyphen-en-us i3lock i3status libamd2 libapt-pkg-perl
  libboost-atomic1.58.0 libboost-chrono1.58.0 libboost-thread1.58.0 libc6-i686:i386 libcairo-script-interpreter2 libcamd2 libcamel-1.2-57 libccolamd2 libcholmod3
  libcolamd2 libconfuse-common libconfuse0 libcryptui0a libcue1 libebackend-1.2-10 libecal-1.2-19 libedata-cal-1.2-28 libedataserver-1.2-21 libedataserverui-1.2-1
  libexiv2-14 libfreetype6-dev libgdata22 libgegl-0.3-0 libgexiv2-2 libgif7 libgom-1.0-0 libgom-1.0-common libgtkglext1 libgtop-2.0-10 libharfbuzz-dev
  libharfbuzz-gobject0 libical2 libice-dev libimobiledevice6 libjim0.75 liblua5.3-0 libmetis5 libmpg123-0 libmusicbrainz5-2 libmusicbrainz5cc2v5 libnghttp2-14 libnm0
  libnma-common libnma0 liborcus-0.8-0 libosinfo-1.0-0 libosinfo-db libpcre3-dev libpcrecpp0 libpixman-1-dev libplist3 libpng12-dev libpython3.4 libpython3.4-dev
  libraw15 libreoffice libreoffice-gtk libreoffice-help-en-us libreoffice-report-builder-bin librhythmbox-core9 librygel-renderer-2.4-2 librygel-renderer-gst-2.4-2
  libseccomp2 libsm-dev libstdc++-4.9-dev libsuitesparseconfig4 libumfpack5 libusbmuxd4 libwebrtc-audio-processing-0 libwps-0.3-3 libxcb-dpms0 libxext-dev
  libxrender-dev mythes-en-us python-cups python-libxml2 python-pycurl python-smbc python3.4-dev rhythmbox-data rsync seahorse-daemon suckless-tools sysstat
  sysvinit-core totem-common x11-apps x11-session-utils x11proto-render-dev x11proto-xext-dev xinit zlib1g-dev
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  adwaita-icon-theme apt apt-utils baobab cheese cheese-common coinor-libcoinmp1v5 cpp cpp-6 empathy-common eog evince evince-common evolution-common
  evolution-data-server-common g++ g++-6 gcc gcc-6 gcc-6-base gcc-6-base:i386 gedit gedit-common gedit-plugins gir1.2-clutter-1.0 gir1.2-gnomedesktop-3.0
  gir1.2-grilo-0.3 gir1.2-gtk-3.0 gir1.2-gweather-3.0 gir1.2-javascriptcoregtk-4.0 gir1.2-mediaart-2.0 gir1.2-mutter-3.0 gir1.2-rb-3.0 gir1.2-totem-1.0
  gir1.2-webkit2-4.0 gnome-clocks gnome-control-center-data gnome-font-viewer gnome-online-accounts gnome-packagekit gnome-session-common gnome-shell-common
  gnome-themes-standard gnome-themes-standard-data gsettings-desktop-schemas gstreamer1.0-clutter-3.0 gstreamer1.0-plugins-bad gstreamer1.0-plugins-base
  gtk-update-icon-cache gtk2-engines-pixbuf hplip-data init-system-helpers libamd2 libapt-inst2.0 libapt-pkg-perl libapt-pkg5.0 libasan3 libatomic1 libavcodec57
  libavformat57 libavutil55 libboost-date-time1.58.0 libboost-filesystem1.58.0 libboost-iostreams1.58.0 libboost-system1.58.0 libbs2b0 libbsd0:i386 libc-bin
  libc-dev-bin libc-l10n libc6 libc6:i386 libc6-dev libc6-i686:i386 libcairo-gobject2 libcairo-script-interpreter2 libcairo2 libcamd2 libcamel-1.2-57 libcc1-0
  libccolamd2 libcheese-gtk25 libcheese8 libcholmod3 libcilkrts5 libclucene-contribs1v5 libclucene-core1v5 libclutter-1.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0
  libcmis-0.5-5v5 libcolamd2 libcryptui0a libcue1 libde265-0 libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386
  libdrm2:i386 libebackend-1.2-10 libecal-1.2-19 libedata-cal-1.2-28 libedataserver-1.2-21 libedataserverui-1.2-1 libedit2:i386 libelf1:i386 libevdocument3-4
  libevview3-3 libexempi3 libexiv2-14 libexpat1:i386 libfdisk1 libffi6:i386 libgail-3-0 libgail-common libgail18 libgcc-6-dev libgcc1 libgcc1:i386 libgdata22 libgdm1
  libgegl-0.3-0 libgeoclue-2-0 libgexiv2-2 libgif7 libgl1-mesa-dri libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386 libglew1.13 libgltf-0.0-0v5
  libgnome-bluetooth13 libgnome-desktop-3-12 libgnutls30 libgoa-1.0-0b libgoa-1.0-common libgoa-backend-1.0-1 libgomp1 libgphoto2-6 libgphoto2-port12 libgrilo-0.3-0
  libgsound0 libgspell-1-1 libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0
  libgtk2.0-bin libgtksourceview-3.0-1 libgtop-2.0-10 libhogweed4 libhunspell-1.4-0 libical2 libicu55 libicu57 libilmbase12 libimobiledevice6 libinput-bin libinput10
  libisl15 libitm1 libjavascriptcoregtk-4.0-18 libjim0.76 libjson-c3 libllvm3.8 libllvm3.8:i386 liblocale-gettext-perl liblsan0 liblz4-1 libmediaart-2.0-0 libmetis5
  libmpx2 libmusicbrainz5-2 libmusicbrainz5cc2v5 libmutter0h libnettle6 libnghttp2-14 libnm0 libnma-common libnma0 libnuma1 libopencv-calib3d2.4v5
  libopencv-contrib2.4v5 libopencv-core2.4v5 libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4-deb0 libopencv-imgproc2.4v5 libopencv-legacy2.4v5
  libopencv-ml2.4v5 libopencv-objdetect2.4v5 libopencv-video2.4v5 libopenexr22 libopenjp2-7 liborcus-0.11-0 libosinfo-1.0-0 libosinfo-db libpagemaker-0.0-0
  libpciaccess0:i386 libpeas-1.0-0 libplist3 libpng16-16 libpoppler-glib8 libpoppler61 libpulse-mainloop-glib0 libpulse0 libpulsedsp libpython3-dev libpython3-stdlib
  libpython3.5 libpython3.5-dev libpython3.5-minimal libpython3.5-stdlib libquadmath0 libraw15 libreoffice libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk libreoffice-gtk3 libreoffice-impress
  libreoffice-java-common libreoffice-l10n-fr libreoffice-math libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer librhythmbox-core9
  librygel-core-2.6-2 librygel-db-2.6-2 librygel-renderer-2.6-2 librygel-renderer-gst-2.6-2 librygel-server-2.6-2 libsane libsane-common libseccomp2 libsnappy1v5
  libsoundtouch1 libsoxr0 libssh-gcrypt-4 libssl1.0.2 libstdc++-6-dev libstdc++6 libstdc++6:i386 libstemmer0d libsuitesparseconfig4 libswresample2 libswscale4
  libtext-charwidth-perl libtext-iconv-perl libtinfo5:i386 libtotem0 libtracker-miner-1.0-0 libtracker-sparql-1.0-0 libtsan0 libtxc-dxtn-s2tc0:i386 libubsan0 libudev1
  libudev1:i386 libumfpack5 libusbmuxd4 libvpx3 libwacom-bin libwacom-common libwacom2 libwebkit2gtk-4.0-37 libwebp6 libwebpmux2 libwebrtc-audio-processing1
  libwps-0.4-4 libx11-xcb1:i386 libx264-148 libx265-79 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-randr0:i386
  libxcb-render0:i386 libxcb-shape0:i386 libxcb-sync1:i386 libxcb-xfixes0:i386 libxdamage1:i386 libxinerama1:i386 libxshmfence1:i386 libxxf86vm1:i386
  linux-image-4.6.0-1-amd64 linux-image-amd64 locales makedev mutter mutter-common nautilus-data perl-base powertop printer-driver-brlaser pulseaudio
  pulseaudio-module-x11 pulseaudio-utils python3 python3-apt python3-brlapi python3-cairo python3-cups python3-cupshelpers python3-dbus python3-dev python3-gi
  python3-gi-cairo python3-markupsafe python3-minimal python3-smbc python3-uno python3.5 python3.5-dev python3.5-minimal rhythmbox-data rygel rygel-playbin
  seahorse-daemon system-config-printer system-config-printer-common system-config-printer-udev sysvinit-core sysvinit-utils tiny-initramfs tiny-initramfs-core
  totem-common uno-libs3 ure usb-modeswitch util-linux zlib1g:i386
Paquets suggérés :
  apt-doc powermgmt-base gnome-video-effects-frei0r cpp-doc gcc-6-locales eog-plugins g++-multilib g++-6-multilib gcc-6-doc libstdc++6-6-dbg gcc-multilib flex bison
  gdb gcc-doc gcc-6-multilib libgcc1-dbg libgomp1-dbg libitm1-dbg libatomic1-dbg libasan3-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx2-dbg
  libquadmath0-dbg frei0r-plugins glibc-doc glibc-doc:i386 libc-l10n:i386 locales:i386 exiv2 glew-utils gnutls-bin gphoto2 grilo-plugins-0.3 gstreamer1.0-tools
  libusbmuxd-tools libreoffice-grammarcheck myspell-dictionary openclipart2-libreoffice openclipart-libreoffice unixodbc default-jre openjdk-8-jre openjdk-7-jre
  openjdk-6-jre gcj-jre sun-java5-jre sun-java6-jre java5-runtime jre libreoffice-officebean libreoffice-gcj libreoffice-report-builder libjtds-java
  libreoffice-mysql-connector libmyodbc libmysql-java libreoffice-sdbc-postgresql odbc-postgresql libpg-java libsqliteodbc tdsodbc mdbtools ocl-icd-libopencl1
  libreoffice-style-breeze libreoffice-style-hicontrast libreoffice-style-oxygen libreoffice-style-sifr hyphen-fr libreoffice-grammarcheck-fr tango-icon-theme
  fonts-crosextra-caladea fonts-crosextra-carlito libstdc++-6-doc linux-doc-4.6 debian-kernel-handbook grub-pc grub-efi extlinux cpufrequtils laptop-mode-tools
  pavumeter pavucontrol paman paprefs python3-doc python3-tk python3-venv python3-apt-dbg python-apt-doc python-dbus-doc python3-dbus-dbg python3.5-venv python3.5-doc
  binfmt-support rygel-mediathek rygel-preferences rygel-ruih tumbler steam-devices:i386 gnome-software bootlogd comgt wvdial
Paquets recommandés :
  libwebkit2gtk-4.0-37-gtk2 firmware-linux-free irqbalance pulseaudio-module-udev
Les paquets suivants seront ENLEVÉS :
  apache2-bin apt-file autoconf automake bijiben bluetooth bluez brasero build-essential coinor-libcoinmp1 colord debhelper dh-autoreconf docbook-xml dpkg-dev empathy
  equivs evolution evolution-data-server evolution-plugins foomatic-db-engine gdm3 gir1.2-tracker-1.0 git gnome gnome-bluetooth gnome-color-manager gnome-contacts
  gnome-control-center gnome-core gnome-disk-utility gnome-documents gnome-music gnome-packagekit-session gnome-photos gnome-session gnome-session-bin
  gnome-settings-daemon gnome-shell gnome-shell-extension-weather gnome-shell-extensions gnome-sushi gnome-system-log gnome-tweak-tool gnome-user-share gvfs
  gvfs-backends gvfs-daemons gvfs-fuse hplip i3 i3-wm i3blocks init initramfs-tools intltool-debian libalgorithm-c3-perl libalgorithm-diff-perl
  libalgorithm-diff-xs-perl libalgorithm-merge-perl libanyevent-i3-perl libanyevent-perl libapache2-mod-dnssd libarchive-extract-perl libasync-interrupt-perl
  libauthen-sasl-perl libboost-date-time1.55.0 libcairo-perl libcairo2-dev libcgi-fast-perl libcgi-pm-perl libcheese-gtk23 libcheese7 libclass-accessor-perl
  libclass-c3-perl libclass-c3-xs-perl libclucene-contribs1 libclucene-core1 libcmis-0.4-4 libcommon-sense-perl libconfig-file-perl libcpan-meta-perl
  libdata-optlist-perl libdata-section-perl libdpkg-perl libebook-1.2-14 libebook-contacts-1.2-0 libedata-book-1.2-20 libencode-locale-perl liberror-perl libev-perl
  libevolution libfcgi-perl libfile-basedir-perl libfile-copy-recursive-perl libfile-desktopentry-perl libfile-fcntllock-perl libfile-listing-perl
  libfile-mimeinfo-perl libfolks-eds25 libfont-afm-perl libfontconfig1-dev libglib-perl libglib2.0-dev libgltf-0.0-0 libgnome-desktop-3-10 libgtk2-perl libguard-perl
  libhpmud0 libhtml-form-perl libhtml-format-perl libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-date-perl
  libhttp-message-perl libhttp-negotiate-perl libimage-magick-perl libimage-magick-q16-perl libintl-perl libio-html-perl libio-socket-ssl-perl libio-string-perl
  libjson-xs-perl liblist-moreutils-perl liblog-message-perl liblog-message-simple-perl liblwp-mediatypes-perl liblwp-protocol-https-perl libmail-sendmail-perl
  libmailtools-perl libmodule-build-perl libmodule-pluggable-perl libmodule-signature-perl libmro-compat-perl libmutter0e libnet-dbus-perl libnet-http-perl
  libnet-smtp-ssl-perl libnet-ssleay-perl libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4 libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4
  libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-video2.4 libpackage-constants-perl libpam-systemd libpango-perl
  libpango1.0-dev libparams-util-perl libparse-debianchangelog-perl libperl4-corelibs-perl libperl5.20 libphonenumber6 libpod-latex-perl libpod-readme-perl
  libpurple-bin libpurple0 libregexp-assemble-perl libregexp-common-perl libreoffice-evolution libsane-hpaio libsnmp30 libsoftware-license-perl
  libstartup-notification0-dev libsub-exporter-perl libsub-install-perl libsub-name-perl libswitch-perl libsys-hostname-long-perl libterm-ui-perl libtext-soundex-perl
  libtext-template-perl libtext-unidecode-perl libtie-ixhash-perl libtimedate-perl libtracker-control-1.0-0 liburi-perl libwww-perl libwww-robotrules-perl
  libx11-protocol-perl libxft-dev libxml-libxml-perl libxml-namespacesupport-perl libxml-parser-perl libxml-sax-base-perl libxml-sax-expat-perl libxml-sax-perl
  libxml-twig-perl libxml-xpathengine-perl linux-image-3.16.0-4-amd64 media-player-info nautilus nautilus-sendto network-manager network-manager-gnome packagekit
  packagekit-tools perl perl-modules perlmagick pkg-config po-debconf policykit-1 policykit-1-gnome printer-driver-hpcups printer-driver-hpijs
  printer-driver-postscript-hp python-cupshelpers rarian-compat rename rhythmbox rhythmbox-plugin-cdrecorder rhythmbox-plugins rxvt-unicode rygel-tracker sane-utils
  sgml-data systemd systemd-sysv task-desktop task-gnome-desktop telepathy-haze texinfo totem totem-plugins tracker tracker-extract tracker-gui tracker-miner-fs
  tracker-utils udev udisks2 update-inetd upower xorg xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati xserver-xorg-video-cirrus
  xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-modesetting xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-qxl xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa xserver-xorg-video-vmware
Les NOUVEAUX paquets suivants seront installés :
  coinor-libcoinmp1v5 cpp-6 g++-6 gcc-6 gcc-6-base gcc-6-base:i386 gir1.2-grilo-0.3 gir1.2-gweather-3.0 gir1.2-javascriptcoregtk-4.0 gir1.2-mediaart-2.0
  gir1.2-webkit2-4.0 gstreamer1.0-clutter-3.0 gtk-update-icon-cache libamd2 libapt-inst2.0 libapt-pkg5.0 libasan3 libavcodec57 libavformat57 libavutil55
  libboost-date-time1.58.0 libboost-filesystem1.58.0 libboost-iostreams1.58.0 libboost-system1.58.0 libbs2b0 libbsd0:i386 libc-l10n libcamd2 libcamel-1.2-57 libcc1-0
  libccolamd2 libcheese-gtk25 libcheese8 libcholmod3 libclucene-contribs1v5 libclucene-core1v5 libclutter-gst-3.0-0 libcmis-0.5-5v5 libcolamd2 libcryptui0a libcue1
  libde265-0 libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386 libebackend-1.2-10 libecal-1.2-19
  libedata-cal-1.2-28 libedataserver-1.2-21 libedataserverui-1.2-1 libedit2:i386 libelf1:i386 libexiv2-14 libexpat1:i386 libfdisk1 libffi6:i386 libgcc-6-dev libgdata22
  libgegl-0.3-0 libgeoclue-2-0 libgexiv2-2 libgif7 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglapi-mesa:i386 libglew1.13 libgltf-0.0-0v5 libgnome-desktop-3-12
  libgnutls30 libgphoto2-port12 libgrilo-0.3-0 libgsound0 libgspell-1-1 libgtop-2.0-10 libhogweed4 libhunspell-1.4-0 libical2 libicu55 libicu57 libilmbase12
  libimobiledevice6 libinput-bin libinput10 libisl15 libjavascriptcoregtk-4.0-18 libjim0.76 libjson-c3 libllvm3.8 libllvm3.8:i386 liblz4-1 libmediaart-2.0-0 libmetis5
  libmpx2 libmusicbrainz5-2 libmusicbrainz5cc2v5 libmutter0h libnettle6 libnghttp2-14 libnm0 libnma-common libnma0 libnuma1 libopencv-calib3d2.4v5
  libopencv-contrib2.4v5 libopencv-core2.4v5 libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4-deb0 libopencv-imgproc2.4v5 libopencv-legacy2.4v5
  libopencv-ml2.4v5 libopencv-objdetect2.4v5 libopencv-video2.4v5 libopenexr22 libopenjp2-7 liborcus-0.11-0 libosinfo-1.0-0 libosinfo-db libpagemaker-0.0-0
  libpciaccess0:i386 libplist3 libpng16-16 libpoppler61 libpython3.5 libpython3.5-dev libpython3.5-minimal libpython3.5-stdlib libraw15 libreoffice-gtk3
  librhythmbox-core9 librygel-core-2.6-2 librygel-db-2.6-2 librygel-renderer-2.6-2 librygel-renderer-gst-2.6-2 librygel-server-2.6-2 libseccomp2 libsnappy1v5
  libsoundtouch1 libsoxr0 libssh-gcrypt-4 libssl1.0.2 libstdc++-6-dev libstemmer0d libsuitesparseconfig4 libswresample2 libswscale4 libtinfo5:i386
  libtxc-dxtn-s2tc0:i386 libudev1:i386 libumfpack5 libusbmuxd4 libvpx3 libwacom-bin libwebkit2gtk-4.0-37 libwebp6 libwebpmux2 libwebrtc-audio-processing1 libwps-0.4-4
  libx11-xcb1:i386 libx264-148 libx265-79 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386 libxcb-present0:i386 libxcb-randr0:i386 libxcb-render0:i386
  libxcb-shape0:i386 libxcb-sync1:i386 libxcb-xfixes0:i386 libxdamage1:i386 libxinerama1:i386 libxshmfence1:i386 libxxf86vm1:i386 linux-image-4.6.0-1-amd64 makedev
  python3-cups python3-cupshelpers python3-smbc python3.5 python3.5-dev python3.5-minimal seahorse-daemon steam:i386 system-config-printer-common sysvinit-core
  tiny-initramfs tiny-initramfs-core zlib1g:i386
Les paquets suivants seront mis à jour :
  adwaita-icon-theme apt apt-utils baobab cheese cheese-common cpp empathy-common eog evince evince-common evolution-common evolution-data-server-common g++ gcc gedit
  gedit-common gedit-plugins gir1.2-clutter-1.0 gir1.2-gnomedesktop-3.0 gir1.2-gtk-3.0 gir1.2-mutter-3.0 gir1.2-rb-3.0 gir1.2-totem-1.0 gnome-clocks
  gnome-control-center-data gnome-font-viewer gnome-online-accounts gnome-packagekit gnome-session-common gnome-shell-common gnome-themes-standard
  gnome-themes-standard-data gsettings-desktop-schemas gstreamer1.0-plugins-bad gstreamer1.0-plugins-base gtk2-engines-pixbuf hplip-data init-system-helpers
  libapt-pkg-perl libatomic1 libc-bin libc-dev-bin libc6 libc6:i386 libc6-dev libc6-i686:i386 libcairo-gobject2 libcairo-script-interpreter2 libcairo2 libcilkrts5
  libclutter-1.0-0 libclutter-gtk-1.0-0 libevdocument3-4 libevview3-3 libexempi3 libgail-3-0 libgail-common libgail18 libgcc1 libgcc1:i386 libgdm1 libgl1-mesa-dri
  libgnome-bluetooth13 libgoa-1.0-0b libgoa-1.0-common libgoa-backend-1.0-1 libgomp1 libgphoto2-6 libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0
  libgstreamer1.0-0 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtksourceview-3.0-1 libitm1 liblocale-gettext-perl liblsan0 libpeas-1.0-0
  libpoppler-glib8 libpulse-mainloop-glib0 libpulse0 libpulsedsp libpython3-dev libpython3-stdlib libquadmath0 libreoffice libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk libreoffice-impress
  libreoffice-java-common libreoffice-l10n-fr libreoffice-math libreoffice-style-galaxy libreoffice-style-tango libreoffice-writer libsane libsane-common libstdc++6
  libstdc++6:i386 libtext-charwidth-perl libtext-iconv-perl libtotem0 libtracker-miner-1.0-0 libtracker-sparql-1.0-0 libtsan0 libubsan0 libudev1 libwacom-common
  libwacom2 linux-image-amd64 locales mutter mutter-common nautilus-data perl-base powertop printer-driver-brlaser pulseaudio pulseaudio-module-x11 pulseaudio-utils
  python3 python3-apt python3-brlapi python3-cairo python3-dbus python3-dev python3-gi python3-gi-cairo python3-markupsafe python3-minimal python3-uno rhythmbox-data
  rygel rygel-playbin system-config-printer system-config-printer-udev sysvinit-utils totem-common uno-libs3 ure usb-modeswitch util-linux
ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  init systemd-sysv (en raison de init)
153 mis à jour, 192 nouvellement installés, 273 à enlever et 329 non mis à jour.
Il est nécessaire de prendre 472 Mo/473 Mo dans les archives.
Après cette opération, 827 Mo d'espace disque supplémentaires seront utilisés.
Vous êtes sur le point de faire quelque chose de potentiellement dangereux
Pour continuer, tapez la phrase « Oui, faites ce que je vous dis ! »
 



J'ai également essayé d'installer steam avec le fichier steam.deb sur le site officiel, mais au moment du lancement, j'obtiens des erreurs en sous entendant que des librairies sont manquantes, mais au moment de l'installation de la librairie libGl, j'ai à quelques chose pres le même resultat que ci-dessus.
Bref, j'ai pas mal cherché sur le sujet, et je n'arrive pas a trouver un cas precisement identique au miens. Steam est le premier paquet 32 bits que j'essaye d'installer, peut-être que c'est la cause.
Aussi, je ne viens pas forcement ici pour que ce problème soit résolu, mais surtout pour avoir des réponses à : Pourquoi le gestionnaire de paquet souhaite m'enlever autant de paquets à l'installation d'une librairie, dans le but que je puisse y voir plus clair. C'est pour cette raison que j'ai choisi de le mettre dans la partie "Gestion de paquets Debian".

Merci d'avance !

Dernière modification par Bartolomez (10-08-2016 16:25:43)

Hors ligne

#2 09-08-2016 22:12:38

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : [Résolu]Beaucoup de paquets enlevés à l'installation d'un autre paquet

Bonjour et bienvenue smile

Le problème doit venir peut-être venir du fait que tu sembles vouloir essayer d'installer un paquet de testing dans une Stable (puisque tu utilises le noyau 3.16 qui est celui par défaut dans Stable). ais

C'est une manière de procéder qui fonctionne parfois mais dans des cas rare et bien précis et en utilisant le pinning. Si tu acceptes ces solution, tu va effectivement changer de branche et passer de stable à Testing par le jeu des dépendances.

Il vaut mieux avoir une bonne connaissance des outils apt avant de se lancer dans cette aventure smile Peut-être que la version de stable peut convenir ?

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#3 10-08-2016 13:23:22

Bartolomez
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : i3wm
Inscription : 09-08-2016

Re : [Résolu]Beaucoup de paquets enlevés à l'installation d'un autre paquet

Bonjour, et merci pour ta réponse accueillante ! smile

Je viens à l'instant de reussir à installer Steam, et donc résoudre mon problème.

J'ai résolu mon soucis de la façon suivante :
J'ai tout d'abord remarqué qu'une dependance d'une librairie dont j'avais du mal à installer avait la mention "contrib" que je n'avais pas mis dans mon sources.list, ce qui lui a permis de s'installer sans problème après une update.
Dans ce même fichier sources.list, j'avais renseigné vouloir des paquets en stable et en testing, sans ordre de preference, car le testing ne me derange pas, mais je garde les paquets stable dans le cas où un paquet se trouve dans stable mais qui ne se trouve pas dans testing (ce qui m'est déjà arrivé) :


#
# STABLE
#

deb http://ftp.fr.debian.org/debian/ stable main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stable main contrib non-free

deb http://security.debian.org/ stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ stable-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stable-updates main contrib non-free

#
# TESTING
#

deb http://ftp.fr.debian.org/debian/ testing main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free

deb http://security.debian.org/ testing/updates main contrib non-free
deb-src http://security.debian.org/ testing/updates main contrib non-free

deb http://ftp.fr.debian.org/debian/ testing-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ testing-updates main contrib non-free
 



Mais une bonne partie de mes paquets installés étaient en stable, et non pas en testing (j'ai renseigné stable car il m'est arrivé de voir un paquet en stable et non pas en testing).
J'ai donc fait, par le plus grand des hasards, un petit

sudo apt-get dist-upgrade


qui m'a donné environ 4 heures de téléchargements et d'installation de paquets mis-à-jours et de nouveaux paquets, là où une upgrade classique ne me donnait rien ce qui m'a aussi permis de voir la difference entre ces deux commandes.
Après cette mise à jour, le paquet steam ne me supprimait plus rien, comme par magie (mais j'ai quand même dû installer les librairie manuellement).

Donc effectivement, ta supposition m'a l'air d'être confirmée, cependant, je n'arrive toujours pas à comprendre pourquoi il voulait me supprimer tout ces paquets, et quel aurait été le résultat.

Hors ligne

#4 10-08-2016 13:42:54

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : [Résolu]Beaucoup de paquets enlevés à l'installation d'un autre paquet

Bon, et bien à mon avis, tu es en Testing maintenant, plus en stable wink Sans fichier preferences, apt met à jour vers les version les plus récentes des paquets. Si des paquets disparaissent de Testing, c'est en général pour une bonne raison. Il peuvent être supprimés automatiquement pour cause de bug, ou abandonnés parce qu'il ne sont plus développés en amont.

Ca ne mange a priori pas de pain de conserver Stable dans les sources, mais ça peut malgré tout poser des soucis, les paquets de Stable étant de plus en plus éloignés de ceux de Testing au fur et à mesure de son développement. J'avais lu quelque-part (précis comme info ça wink ) qu'il était préférable d'ajouter plutôt Sid dans ses sources, mais encore une fois, il est impératif d'avoir un fichier preferences qui donne un priorité plus haute à Testing. Je crois qu'on a un tuto sur le sujet

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#5 10-08-2016 16:24:51

Bartolomez
Membre
Distrib. : Debian 8
Noyau : Linux 3.16.0-4-amd64
(G)UI : i3wm
Inscription : 09-08-2016

Re : [Résolu]Beaucoup de paquets enlevés à l'installation d'un autre paquet

Très bien, je vais me pencher là dessus alors !
Merci pour tes conseils ! smile

Hors ligne

Pied de page des forums